curl --request GET \
--url https://api.smartermeasure.com/v3/results \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.smartermeasure.com/v3/results"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.smartermeasure.com/v3/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"NumPages": "7",
"Page": "1",
"PageSize": "50",
"Total": "345",
"Start": "1",
"End": "50",
"FirstPageUri": "/v3/results?PAGE=1",
"LastPageUri": "/v3/results?PAGE=7",
"PreviousPageUri": "",
"NextPageUri": "/v3/results?PAGE=2",
"User": [
{
"RowNumber": "1",
"UserId": "10000001",
"InternalId": "STU-001",
"CompletionPercentage": "0",
"DateTimeTaken": "2026-03-20T18:40:08Z",
"Account": {
"Id": "410",
"Name": "DEMO - Integration School"
},
"FirstName": "Alice",
"LastName": "Carter",
"EmailAddress": "alice.carter@example.com",
"AssessmentResults": [
{
"Title": "Life Factors",
"Code": "LifeFactors",
"IsComplete": "0"
},
{
"Title": "Learning Styles",
"Code": "LearnStyles",
"IsComplete": "0"
},
{
"Title": "Personal Attributes",
"Code": "PersonalAttributes",
"IsComplete": "0"
},
{
"Title": "Technical Competency",
"Code": "TechComp",
"IsComplete": "0"
},
{
"Title": "Technical Knowledge",
"Code": "TechKnowledge",
"IsComplete": "0"
},
{
"Title": "Reading Rate & Recall",
"Code": "Reading",
"IsComplete": "0"
},
{
"Title": "Typing Speed & Accuracy",
"Code": "Typing",
"IsComplete": "0"
}
]
},
{
"RowNumber": "2",
"UserId": "10000002",
"InternalId": "STU-002",
"CompletionPercentage": "100",
"DateTimeTaken": "2026-02-27T10:27:44Z",
"DateTimeLastUpdated": "2026-02-27T10:33:38Z",
"DateTimeCompleted": "2026-02-27T10:33:38Z",
"Account": {
"Id": "410",
"Name": "DEMO - Integration School"
},
"FirstName": "Marcus",
"LastName": "Webb",
"EmailAddress": "marcus.webb@example.com",
"AssessmentResults": [
{
"Title": "Life Factors",
"Code": "LifeFactors",
"IsComplete": "0"
},
{
"Title": "Learning Styles",
"Code": "LearnStyles",
"IsComplete": "1",
"AttemptNumber": "1",
"Percent": "23.81",
"Readiness": "fail",
"Primary": "Aural, Logical, Social",
"DateTimeCompleted": "2026-02-27T10:33:00Z"
},
{
"Title": "Personal Attributes",
"Code": "PersonalAttributes",
"IsComplete": "0"
},
{
"Title": "Technical Competency",
"Code": "TechComp",
"IsComplete": "0"
},
{
"Title": "Technical Knowledge",
"Code": "TechKnowledge",
"IsComplete": "1",
"AttemptNumber": "1",
"Percent": "31.48",
"Readiness": "fail",
"DateTimeCompleted": "2026-02-27T10:34:00Z"
},
{
"Title": "Reading Rate & Recall",
"Code": "Reading",
"IsComplete": "0"
},
{
"Title": "Typing Speed & Accuracy",
"Code": "Typing",
"IsComplete": "0"
}
]
}
]
}Search Results
Search for results
Authorizations
Basic authentication with username and password
Query Parameters
This can be a comma sep. list of SmarterMeasure user IDs.
InternalID
FirstName
LastName
EmailAddress
Gender
AdminGroupUserName
TestingGroupUserName
ExtendedData - If passed in, the results will include the detailed scores for the sections passed in here. This is a comma delimited list. Valid data points are LifeFactors, LearnStyles, PersonalAttributes, TechComp, TechKnowledge, Demographic.
IncludeAccountRequestedData
StartDate - When wanting to filter by date started, this is the start date of the date range.
EndDate - When wanting to filter by date started, this is the end date of the date range.
UpdateStartDate - When wanting to filter by date updated, this is the start date of the date range.
UpdateEndDate - When wanting to filter by date updated, this is the end date of the date range.
CompletionStartDate - When wanting to filter by date completed, this is the start date of the date range.
CompletionEndDate - When wanting to filter by date completed, this is the end date of the date range.
StartRecord
EndRecord
Response
A list of user results.
Total number of pages.
Current page number.
Number of records per page.
Total number of records.
Start record index for the current page.
End record index for the current page.
Empty string if on first page.
Empty string if on last page.
One or more user result records. Returns an object when there is a single result, or an array when there are multiple results.
- object
- object[]
Show child attributes
Show child attributes
Was this page helpful?
